Subject: bug#56532: 27.2; Ido C-f in read-file-name inserts twice the initial name

From: Tobias Bora <[email-masked]>
Date: Thu, 14 Jul 2022 12:02:11 +0200

I can easily reproduce it in emacs -Q yes by simply evaluating the 
following config:

(setq ido-everywhere t)
(ido-mode)
;; Stop changing directory when openning a file that does not exist!
(setq ido-auto-merge-work-directories-length -1)

(read-file-name  "Picture name:" "/tmp/" nil nil "defaultname.png")

you can find attached a gif with all the procedure and precise keystroke 
I made.

On 13/07/2022 19:15, Eli Zaretskii wrote:
>> Date: Wed, 13 Jul 2022 11:27:11 +0200
>> From: Tobias Bora <[email-masked]>
>>
>> If you enable ido with (setq ido-auto-merge-work-directories-length -1)
>> and evaluate:
>>
>> (read-file-name  "Picture name:" "/tmp" nil nil "defaultname.png")
>>
>> and go at the end of the buffer with C-e (not sure why the cursor is not
>> there by default), and press C-f to come back to a normal file prompt
>> (not using ido), then the initial text is written one more time, so the
>> prompt is now:
>>
>> /tmp/defaultname.png*defaultname.png
>>
>> where * is the position of the cursor. I would expect C-f in that case
>> to just prompt /tmp/defaultname.png.
> Is this in "emacs -Q"?  Because I cannot reproduce the problem: when I
> type C-f and get to the end of the file name, Emacs says "[End of
> buffer]", and that's all.
>
> Could it be due to some customizations of yours?  I see a lot of
> active modes that are not turned on by default.